Attach an organization
curl --request POST \
--url https://charts.basedash.com/api/public/billing-accounts/{billingAccountId}/organizations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"organizationId": "<string>"
}
'import requests
url = "https://charts.basedash.com/api/public/billing-accounts/{billingAccountId}/organizations"
payload = { "organizationId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({organizationId: '<string>'})
};
fetch('https://charts.basedash.com/api/public/billing-accounts/{billingAccountId}/organizations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}{
"error": {
"title": "RateLimitExceeded",
"detail": "<string>",
"retryAfterMs": 123
}
}{
"error": {
"title": "<string>",
"detail": "<string>"
}
}Billing accounts
Attach an organization
Attaches an existing organization to the billing account so it is billed through the account. Requires admin access to both the organization and the account’s owner organization. The organization becomes a paid (GROWTH) organization with no trial limitations.
POST
/
api
/
public
/
billing-accounts
/
{billingAccountId}
/
organizations
Attach an organization
Authorizations
API key authentication using Bearer token format: Bearer <basedash_api_key>
Path Parameters
Billing account ID
Body
application/json
Organization to attach. You must be an admin of both this organization and the billing account owner organization.
Response
Organization attached successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I